Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common.wfapp
Class WFAppComponent

    java.lang.Object
      com.fujitsu.iflow.common.wfapp.WFAppComponent

All Implemented Interfaces:
  java.io.Serializable

public class WFAppComponent
extends java.lang.Object
implements java.io.Serializable

WFAppComponent provides methods to get and set the properties of components (e.g. a JavaAction). This information is required in the manifest of an archive. So this class will be used for exporting or importing process definitions into or from a package (e.g. a jar-file). A workflow application consists of process definitions and a list of workflow components that will be used by those process definitions. Possible workflow components include forms, java action classes, agent classes, configuration files, document files, and any other files. The entire workflow application is packaged as a single JAR file. It is easy to duplicate the workflow application environment by importing the JAR file on another machine. Following code illustrates how to add a workflow component into the package. WFAppComponent component = new WFAppComponent("%IBPM_PORTAL_ROOT%\asap.log",WFAppConstants.SKIP_OPERATION); manifest.addServerComponent(component); In the above code, manfiest is a WFAppManifest object. IBPM then reads information inside WFAppManifest to package components into the JAR file. Similarly IBPM reads information inside WFAppManifest to extract components while importing the package.

See Also:
  Serialized Form

Constructor Summary
`WFAppComponent(java.lang.String location, int operation)` Generates a new instance of a workflow application component.

Method Summary
`void` | `disablePatternRewriting()` Disables pattern rewriting.
`void` | `enablePatternRewriting()` Enables pattern rewriting.
`java.lang.String` | `getLocation()` Returns the virutal location of the component.
`int` | `getOperation()` Returns the setting for `com.fujitsu.iflow.common.WFAppConstants.OVERWRITE_OPERATION`.
`java.lang.String` | `getType()` Returns the ComponentType.
`boolean` | `isPatternRewritingEnabled()` Returns the pattern rewriting status.
`void` | `setLocation(java.lang.String location)` Sets the virtual location of the component.
`void` | `setOperation(int operation)` Sets the setting for operation.
`void` | `setType(java.lang.String type)` Sets the ComponentType.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WFAppComponent

    public WFAppComponent(java.lang.String location,
                          int operation)

  Generates a new instance of a workflow application component.

Parameters:
  `location` - The location of the component.
  `operation` - `1` if `OVERWRITE_OPERATION` should be set, `0` if `SKIP_OPERATION` should be set.
See Also:
  `WFAppConstants`

Method Detail

### getType

    public java.lang.String getType()

  Returns the ComponentType. The possible values are defined in constants in `com.fujitsu.iflow.common.wfapp.WFAppConstants`.

  Returns:
    The type of the component.
  See Also:
    `WFAppConstants`

### setType

    public void setType(java.lang.String type)

  Sets the ComponentType. The possible values are defined in constants in `com.iflow.common.wfapp.WFAppConstants`.

  Parameters:
    `type` - The type of the component.
  See Also:
    `WFAppConstants`

### enablePatternRewriting

    public void enablePatternRewriting()

  Enables pattern rewriting. Per default the pattern rewriting is disabled. Pattern rewriting is used to handle the mapping between virtual path and real path. If the pattern rewriting is enabled, IBPM scans the content of the component and convert real path to virtual path while exporting the package. While importing the package , it again scans the content of the component and convert virtual path to real path. Typical components that require pattern rewriting are forms, and agent config files. The possible values are defined in constants in `com.iflow.common.wfapp.WFAppConstants`.

  See Also:
    `WFAppUtil`

### disablePatternRewriting

    public void disablePatternRewriting()

  Disables pattern rewriting. This is the default.

  See Also:
    `WFAppUtil`

### isPatternRewritingEnabled

    public boolean isPatternRewritingEnabled()

  Returns the pattern rewriting status.

  Returns:
    `true` if pattern rewriting is enabled, `false` otherwise.
  See Also:
    `WFAppUtil`

### getLocation

    public java.lang.String getLocation()

  Returns the virutal location of the component. An example of the virtual location is %IBPM_PORTAL_ROOT%\asap.log.

  Returns:
    The location of the component.

### setLocation

    public void setLocation(java.lang.String location)

  Sets the virtual location of the component.

  Parameters:
    `location` - The new virtual location of the component.

### getOperation

    public int getOperation()

  Returns the setting for `com.fujitsu.iflow.common.WFAppConstants.OVERWRITE_OPERATION`. If the operation is OVERWRITE_OPERATION, IBPM will overwrite the existing component with this component while importing the package. If the operation is SKIP_OPERATION, IBPM will not overwrite the existing component.

  Returns:
    `1`, if `com.fujitsu.iflow.common.WFAppConstants.OVERWRITE_OPERATION` is set, `0`, if `com.fujitsu.iflow.common.WFAppConstants.SKIP_OPERATION` is set.
  See Also:
    `WFAppConstants`

### setOperation

    public void setOperation(int operation)

  Sets the setting for operation. The possible values are defined in the two constants `com.fujitsu.iflow.common.WFAppConstants.SKIP_OPERATION` and `com.fujitsu.iflow.common.WFAppConstants.OVERWRITE_OPERATION`.

  Parameters:
    `operation` - `1`, if `com.fujitsu.iflow.common.WFAppConstants.OVERWRITE_OPERATION` should be set, `0`, if `com.fujitsu.iflow.common.WFAppConstants.SKIP_OPERATION` should be set.
  See Also:
    `WFAppConstants`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD